Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### str()

Examples

    boolean b = false;
    byte y = -28;
    char c = 'R';
    float f = -32.6;
    int i = 1024;

    String sb = str(b);
    String sy = str(y);
    String sc = str(c);
    String sf = str(f);
    String si = str(i);

    sb = sb + sy + sc + sf + si;

    println(sb);  // Prints 'false-28R-32.61024'

Description | Returns the string representation of primitive datatypes and arrays. For example the integer 3 will return the string "3", the float -12.6 will return the string "-12.6", and a boolean value true will return the string "true".

Syntax

    str(data)

Parameters

data | boolean, byte, char, float, int, boolean[], byte[], char[], float[], int[]

Returns | String or String[]
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST